> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Update event status

> Provide an update on the handling of a given event by a given asset.

This endpoint allows asset controllers to report back the status of event handling. The `asset_id` can be either the Axle UUID or an external ID if `asset_id_is_external` is true.

Note: This will not work for non-UUID external asset IDs.



## OpenAPI

````yaml POST /entities/asset/{asset_id}/callback/{event_id}
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /entities/asset/{asset_id}/callback/{event_id}:
    post:
      tags:
        - 4. Assets
      summary: Event Handling Status Update
      description: >-
        Provide an update on the handling of a given event by a given asset.


        This endpoint allows asset controllers to report back the status of
        event handling. The `asset_id` can be either the Axle UUID or an
        external ID if `asset_id_is_external` is true.


        Note: This will not work for non-UUID external asset IDs.
      operationId: >-
        event_handling_status_update_entities_asset__asset_id__callback__event_id__post
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
          name: asset_id
          in: path
        - required: true
          schema:
            type: string
            title: Event Id
          name: event_id
          in: path
        - required: false
          schema:
            type: boolean
            title: Asset Id Is External
            default: false
          name: asset_id_is_external
          in: query
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventResponse'
        required: true
      responses:
        '200':
          description: Status update successfully recorded
          content:
            application/json:
              schema: {}
        '404':
          description: Asset not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    EventResponse:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
          description: Timestamp for the response (UTC)
        status:
          $ref: '#/components/schemas/EventStatus'
      type: object
      required:
        - timestamp
        - status
      title: EventResponse
      description: Response for an asset event status update.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EventStatus:
      type: string
      enum:
        - RECEIVED
        - ACCEPTED
        - REJECTED
        - FAILED
        - EXECUTED
      title: EventStatus
      description: |-
        Status values for asset event handling.

        - RECEIVED: Event was received by the system
        - ACCEPTED: Event was accepted for processing
        - REJECTED: Event was rejected (invalid or not applicable)
        - FAILED: Event processing failed
        - EXECUTED: Event was successfully executed
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````